/* DO NOT EDIT THIS FILE - it is machine generated */
#include <jni.h>
/* Header for class com_rebusland_fin_derivatives_eq_server_pricing_jni_PricingJNILayerHandler */

#ifndef _Included_com_rebusland_fin_derivatives_eq_server_pricing_jni_PricingJNILayerHandler
#define _Included_com_rebusland_fin_derivatives_eq_server_pricing_jni_PricingJNILayerHandler
#ifdef __cplusplus
extern "C" {
#endif
/*
 * Class:     com_rebusland_fin_derivatives_eq_server_pricing_jni_PricingJNILayerHandler
 * Method:    EvaluateBlack
 * Signature: (Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)Ljava/lang/String;
 */
JNIEXPORT jstring JNICALL Java_com_rebusland_fin_derivatives_eq_server_pricing_jni_PricingJNILayerHandler_EvaluateBlack
  (JNIEnv *, jclass, jstring, jstring, jstring);

#ifdef __cplusplus
}
#endif
#endif
